Package ru.bitel.bgbilling.modules.drweb.server.bean.api

# Class AVDesc6

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.drweb.server.bean.api.AVDesc6

All Implemented Interfaces:
  `AVDescAPI`

public class AVDesc6 extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements AVDescAPI

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AVDesc6(Connection con, ParameterMap moduleSetup, int moduleId, AgentAVDManager agentManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `blockOnAVD(AgentAVD agent, Date dateFrom, Date dateTo)`
  `void`
  `changeTariffOnAVD(AgentAVD agent, String groupTitle)`
  `AgentAVD`
  `getAgentFromAVD(int contractId, String groupTitle, Date expires)`
  `void`
  `prolongAgentOnAVD(AgentAVD agent, Date date)`
  `void`
  `sinchronizeAgent(int contractId)`
  Синхронизирует агенты с сервером для договора ccontractIdid.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AVDesc6

    public AVDesc6(Connection con, ParameterMap moduleSetup, int moduleId, AgentAVDManager agentManager)

- ## Method Details

  - ### getAgentFromAVD

    public AgentAVD getAgentFromAVD(int contractId, String groupTitle, Date expires) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getAgentFromAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sinchronizeAgent

    public void sinchronizeAgent(int contractId)
    Синхронизирует агенты с сервером для договора ccontractIdid. Если contractId -1 то для всех договоров
    Specified by:
      `sinchronizeAgent` in interface `AVDescAPI`
    Parameters:
      `contractId` -

  - ### prolongAgentOnAVD

    public void prolongAgentOnAVD(AgentAVD agent, Date date) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `prolongAgentOnAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### blockOnAVD

    public void blockOnAVD(AgentAVD agent, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `blockOnAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### changeTariffOnAVD

    public void changeTariffOnAVD(AgentAVD agent, String groupTitle) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `changeTariffOnAVD` in interface `AVDescAPI`
    Throws:
      `ru.bitel.bgbilling.common.BGException`